| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Functions
Class_dict.cpp File Reference
`#include <iostream>`
`#include <string>`
`#include "../Event.h"`
`#include "../MyTrack.h"`
`#include "../MyVertex.h"`
`#include "GaudiKernel/DataObject.h"`
Include dependency graph for Class_dict.cpp:

Go to the source code of this file.

## Classes
class | C_dict

## Macros
#define | private public

## Functions
void * | Event_run (void *o)
void | Event_setRun (void *o, std::vector< void * > argv)
void * | MyTrack_event (void *o)
void | MyTrack_setEvent (void *o, std::vector< void * > argv)

## Macro Definition Documentation

#define private public

Definition at line 4 of file Class_dict.cpp.

## Function Documentation

void* Event_run | ( | void * | o | ) |

Definition at line 16 of file Class_dict.cpp.

16 {
17 static long r;
18 r = ((Event*)o)->run();
19 return &r;
20 }
Event
Essential information of the event used in examples It can be identified by "/Event".
Definition: Event.h:23

void Event_setRun | ( | void * | o,
|  | std::vector< void * > | argv
| ) |  |

Definition at line 21 of file Class_dict.cpp.

21 {
22 ((Event*)o)->setRun( *(long*)(argv[0]) );
23 return;
24 }
Event
Essential information of the event used in examples It can be identified by "/Event".
Definition: Event.h:23

void* MyTrack_event | ( | void * | o | ) |

Definition at line 26 of file Class_dict.cpp.

26 {
27 return const_cast<Event*>(((MyTrack*)o)->event());
28 }
Event
Essential information of the event used in examples It can be identified by "/Event".
Definition: Event.h:23
MyTrack
Definition: MyTrack.h:26

void MyTrack_setEvent | ( | void * | o,
|  | std::vector< void * > | argv
| ) |  |

Definition at line 29 of file Class_dict.cpp.

29 {
30 ((MyTrack*)o)->setEvent( (Event*)(argv[0]) );
31 return;
32 }
Event
Essential information of the event used in examples It can be identified by "/Event".
Definition: Event.h:23
MyTrack
Definition: MyTrack.h:26